lomiri::shell::launcher::AppDrawerModelInterface Class Reference

A list of app drawer items to be displayed. More...

`#include <lomiri/shell/launcher/AppDrawerModelInterface.h>`

Inheritance diagram for lomiri::shell::launcher::AppDrawerModelInterface:
[legend]
Collaboration diagram for lomiri::shell::launcher::AppDrawerModelInterface:
[legend]

## Public Types

enum | Roles { RoleAppId , RoleName , RoleIcon , RoleKeywords , RoleUsage }
| The Roles supported by the model. More...

## Detailed Description

A list of app drawer items to be displayed.

This model exposes all the items that should be shown in the app drawer.

## Member Enumeration Documentation

## Roles

enum lomiri::shell::launcher::AppDrawerModelInterface::Roles

The Roles supported by the model.

See LauncherItemInterface properties for details.

The documentation for this class was generated from the following file:

- include/lomiri/shell/launcher/AppDrawerModelInterface.h